Bug 524453 - option 'max_join_size': unsigned value 18446744073709551615 adjusted to 4294967295
Summary: option 'max_join_size': unsigned value 18446744073709551615 adjusted to 42949...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mysql
Version: 5.4
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Tom Lane
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-20 11:48 UTC by Simon Matter
Modified: 2018-11-27 21:37 UTC (History)
7 users (show)

Fixed In Version: mysql-5.0.95-1.el5_7.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-14 17:21:31 UTC


Attachments (Terms of Use)

Description Simon Matter 2009-09-20 11:48:21 UTC
Description of problem:
Some options like 'max_join_size' get very incorrect default values.

Version-Release number of selected component (if applicable):
mysql-5.0.77-3.el5.i386.rpm
mysql-server-5.0.77-3.el5.i386.rpm

How reproducible:
Simply install mysql-server and start mysqld.

Steps to Reproduce:
1. rpm -i mysql-5.0.77-3.el5.i386.rpm mysql-server-5.0.77-3.el5.i386.rpm
2. service mysqld start
  
Actual results:
[root@dbstudio ~]# service mysqld start
Initializing MySQL database:  Installing MySQL system tables...
090920 13:21:32 [Warning] option 'max_join_size': unsigned value 18446744073709551615 adjusted to 4294967295
090920 13:21:32 [Warning] option 'max_join_size': unsigned value 18446744073709551615 adjusted to 4294967295
OK
Filling help tables...
090920 13:21:32 [Warning] option 'max_join_size': unsigned value 18446744073709551615 adjusted to 4294967295
090920 13:21:32 [Warning] option 'max_join_size': unsigned value 18446744073709551615 adjusted to 4294967295
OK

and /var/log/mysqld.log shows:
090920 13:34:58  mysqld started
090920 13:34:58 [Warning] option 'max_join_size': unsigned value 18446744073709551615 adjusted to 4294967295
090920 13:34:58 [Warning] option 'max_join_size': unsigned value 18446744073709551615 adjusted to 4294967295

Expected results:
No warnings should be shown.

Additional info:
Looks like this has been fixed in upstream
http://bugs.mysql.com/bug.php?id=35346

Note: I produced the error using the mysql binaries from RedHat (RHEL5.4) on a CentOS 5.3 XEN DomU on i386/i686(!) arch. If this error doesn't show up on a clean RHEL5.4 then sorry for the noise.

Comment 1 Tom Lane 2009-09-20 15:24:22 UTC
Hm, is there any non-cosmetic effect?

Comment 2 Simon Matter 2009-09-21 08:02:20 UTC
OK, you may be right it's only cosmetic.
The warning message doesn't show up on x86_64 because the bigger value of 'max_join_size' is allowed there.
Looking at the defaults from both 5.0.45.i386 and 5.0.77.i386 show that the effective 'max_join_size' has not changed. So yes, it seems fine despite the warning message.

Comment 3 Tom Lane 2009-09-21 12:36:15 UTC
Thanks --- the upstream report seems rather confused about whether there's any real effect beyond the warning message, so I was wondering if you'd seen anything.  As things stand, I doubt we'd bother to fix this short of a version update; but if you see any worse effects please note them here.

Comment 4 Simon Matter 2009-09-21 14:27:08 UTC
Our production box which is now running 5.0.77 on i386 seems to behave exactly the same way as it did with 5.0.45. The DB size is ~2G at an average rate of ~320 queries per second. I guess if some parameter was really wrong we should have seen it now somehow.

Comment 6 RHEL Product and Program Management 2010-08-09 18:14:20 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 7 Robert Scheck 2011-05-17 09:28:10 UTC
We are seeing the same issue, but it seems only to exist on 32 bit systems.

As this issue was introduced with a MySQL update of RHEL around or before 
2009-09-20, I've now cross-filed this issue as Service Request 00474460.

Comment 8 RHEL Product and Program Management 2011-09-23 00:08:18 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 9 Siddhesh Poyarekar 2011-10-12 06:49:43 UTC
Candidate fix from the bz: http://lists.mysql.com/commits/79465

Comment 12 Tom Lane 2012-02-14 17:21:31 UTC
The upstream fix for this should be included in our recent security update:
RHSA-2012:0127 https://rhn.redhat.com/errata/RHSA-2012-0127.html
although this bug is not listed there since it is not a security issue.


Note You need to log in before you can comment on or make changes to this bug.